
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅析javascript函数表达式_javascript技巧 / iVAN</title>

    <meta name="description" content="浅析javascript函数表达式_javascript技巧 开始学习javascript函数表达式,仔细阅读下文. 1.一般形式的创建函数,在执行代码之前会先读取函数声明,所以可以把函数声明写在函数调用的下面: sayHi(); function sayHi(){ alert(&quot;Hi!&quot;); } 2.使用函数表达式创建函数,调用前必须先赋值: sayHi(); //错误!!函数不存在 var sayHi=function(){ alert(&quot;Hi!&quot;); } 3.递归 一般递归 function factorial ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅析javascript函数表达式_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>开始学习javascript函数表达式，仔细阅读下文。</p>
<p>1、一般形式的创建函数，在执行代码之前会先读取函数声明，所以可以把函数声明写在函数调用的下面：</p>
<pre>
 sayHi();
 function sayHi(){
     alert("Hi!");
}</pre>
<p>2、使用函数表达式创建函数，调用前必须先赋值:</p>
<pre>
 sayHi(); //错误！！函数不存在
 var sayHi=function(){
     alert("Hi!");
}
</pre>
<p>3、递归</p>
<p><strong>一般递归</strong></p>
<pre>
function factorial(num){
        if (num &lt;= 1){
          return 1;
        } else {
          return num * factorial(num-1);
        }
      }
</pre>
<p><strong>arguments.callee指向正在执行的函数的指针，可以用它来实现递归：<br /></strong></p>
<pre>
function factorial(num){
        if (num &lt;= 1){
          return 1;
        } else {
          return num * arguments.callee(num-1);
        }
      }
</pre>
<p>4、闭包（闭包指一个函数，这个函数可以访问另一个作用域里的变量）。<br />
创建闭包的常见方式：在一个函数内部创建另一个函数。当函数执行时，会创建一个执行环境和相应的作用域链。闭包只能取得包含函数中任何变量的最后一个值：</p>
<pre>
function createFunctions(){
        var result = new Array();

        for (var i=0; i &lt; 10; i++){
          result[i] = function(){
            return i;
          };
        }

        return result;
      }

      var funcs = createFunctions();

      //every function outputs 10
      for (var i=0; i &lt; funcs.length; i++){
        document.write(funcs[i]() + "&lt;br /&gt;");
      }
</pre>
<p>上面代码输出的全部是10。这是因为：每个funcs函数都保存着createFunctions()这个活动对象（这是一个函数，也是一个对象，也是一个引用类型Function类型），而createFunctions()这个活动对象有一个变量i，所以，每个funcs都将拥有这个变量i，而createFunctions()这个函数在返回结果时，i已经变成10了。所以funcs数组的每个值都是10.</p>
<p>可以像下面这样改造：</p>
<pre>
function createFunctions(){
        var result = new Array();

        for (var i=0; i &lt; 10; i++){
          result[i] = function(num){
            return function(){
              return num;
            };
          }(i);
        }

        return result;
      }
</pre>
<p>在调用每个匿名函数时，将i的当前值给了num，而在匿名函数内部，创建并返回num的闭包。这样，返回数组的每个函数都有自己num变量的一个副本。（这段没有说清，读者自己再揣摩，如果有更好的描述方法，请评论在文章下面，谢谢）</p>
<p>5、this对象</p>
<ul>
<li><strong>全局函数中，this就相当于window。<br /></strong></li>
<li><strong>函数被作为某个方法调用时，this相当于那个对象。<br /></strong></li>
<li><strong>每个函数在被调用时，这个函数都会自动获取两个特殊变量：this、arguments。内部函数在搜索这两个变量时，只搜索到活动对象为止。<br /></strong></li>
</ul>
<p>6、模仿块级作用域（私有作用域）<br />
如下：</p>
<pre>
function outputNumbers(count){
        for (var i=0; i &lt; count; i++){
          alert(i);
        }

        alert(i);  //count
      }

      outputNumbers(5);
</pre>
<p>在Java等语言中，for里面的变量i用完就销毁了。而在javascript中，outputNumbers调用时生成活动对象，而这个i是属于这个活动对象的，因此从它被定义开始，就可以在函数内部随处访问它，它在该活动对象内部是共有的。</p>
<p>匿名函数的语法（创建私有作用域）：</p>
<pre>
(function(){
 //这里是块级作用域
})();
</pre>
<p>函数声明放在圆括号中，表示它是一个表达式，而后面再加个括号就可以立即调用它。</p>
<p>如果临时需要一些变量，那么就可以使用私有作用域：</p>
<pre>
function outputNumbers(count){

        (function () {
          for (var i=0; i &lt; count; i++){
            alert(i);
          }
        })();

        alert(i);  //causes an error
      }
</pre>
<p>上面代码中，i就被私有了，在匿名函数（私有域）外部访问i时就会报错，尽管alert依然在活动对象内。</p>
<p>7、私有变量<br />
函数的参数、局部变量以及函数内部定义的其他函数都属于该函数的私有变量。比如：</p>
<pre>
function add(num1,num2){
  var sum = num1 + num2;
  return sum;
}
</pre>
<p>有3个私有变量：num1，num2，sum。函数内部可以访问它们，外部就不行了。</p>
<p>特权方法可以访问私有变量：简单说，使用表达式方式给它一个闭包，在闭包内部访问其他函数：</p>
<pre>
 function Person(name){

        var a=0;

        this.getName = function(){
          return name + a;
        };

        this.setName = function (value) {
          name = value;
        };
      }
</pre>
<p>this.getName、this.setName就是表达式方式，在创建Person实例后，只能通过getName或者setName来访问name、a属性。</p>
<p>以上就是本文的全部内容，希望对大家学习的学习有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    函数表达式<br />
                                    javascript函数表达式、javascript正则表达式、javascript 表达式、javascript el表达式、javascript三元表达式，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 14:36:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0%e8%a1%a8%e8%be%be%e5%bc%8f/" title="函数表达式">函数表达式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅析javascript函数表达式_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1K0Ob.html" rel="bookmark">老生常谈JavaScript 函数表达式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript中创建函数主要有两种方法:函数声明和函数表达式.这两种方式都有不同的适用场景.这篇笔记主要关注的是函数表达式的几大特点以及它的使用场景,下面一一描述. 主要特点 •可选的函数名称 函数名称是函数声明的必需组成部分,这个函数名称相当于一个变量,新定义的函数会复制给这个变量,以后函数的调用都需要通过这个变量进行.而对于函数表达式来说,函数的名称是可选的,例如下面的例子: var sub = function(a1,a2){ return a1-a2; } 这个例子中函数表达式没有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjrq6p.html" rel="bookmark">深入理解JavaScript系列&lpar;4&rpar; 立即调用的函数表达式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 大家学JavaScript的时候,经常遇到自执行匿名函数的代码,今天我们主要就来想想说一下自执行. 在详细了解这个之前,我们来谈了解一下&quot;自执行&quot;这个叫法,本文对这个功能的叫法也不一定完全对,主要是看个人如何理解,因为有的人说立即调用,有的人说自动执行,所以你完全可以按照你自己的理解来取一个名字,不过我听很多人都叫它为&quot;自执行&quot;,但作者后面说了很多,来说服大家称呼为&quot;立即调用的函数表达式&quot;. 本文英文原文地址:http://benalman			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmG1vz.html" rel="bookmark">深入理解JavaScript系列&lpar;2&rpar; 揭秘命名函数表达式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 网上还没用发现有人对命名函数表达式进去重复深入的讨论,正因为如此,网上出现了各种各样的误解,本文将从原理和实践两个方面来探讨JavaScript关于命名函数表达式的优缺点. 简单的说,命名函数表达式只有一个用户,那就是在Debug或者Profiler分析的时候来描述函数的名称,也可以使用函数名实现递归,但很快你就会发现其实是不切实际的.当然,如果你不关注调试,那就没什么可担心的了,否则,如果你想了解兼容性方面的东西的话,你还是应该继续往下看看. 我们先开始看看,什么叫函数表达式,然后再说一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmAZxz.html" rel="bookmark">跟我学习javascript的函数和函数表达式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.函数声明与函数表达式 在ECMAScript中,创建函数的最常用的两个方法是函数表达式和函数声明,两者期间的区别是有点晕,因为ECMA规范只明确了一点:函数声明必须带有标示符(Identifier)(就是大家常说的函数名称),而函数表达式则可以省略这个标示符: 函数声明:function 函数名称 (参数:可选){ 函数体 } 函数表达式:function 函数名称(可选)(参数:可选){ 函数体 } 所以,可以看出,如果不声明函数名称,它肯定是表达式,可如果声明了函数名称的话,如何判断是函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bolkDDM.html" rel="bookmark">详解JavaScript函数对象&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数 函数是由事件驱动的或者当它被调用时执行的可重复使用的代码块. function One(leve , leve){ //code return leve+leve } 注释: 形参不需要加上类型: return语句为可选,没有return语句的函数返回undefined: 局部变量与全局变量 在函数内声明:局部变量 在函数外声明:全局变量 向一个新变量名赋值时并没有使用var:这个变量会变为新的全局变量 函数可以作为值 形式1: function init(){ alert(&quot;One&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPL8llp.html" rel="bookmark">js中函数声明与函数表达式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前为止,我们一直没有对函数声明和函数表达式加以区别.而实际上,解析器在向执行环境中加载数据时,对函数声明和函数表达式并非一视同仁.解析器会率先读取函数声明,并使其在执行任何代码之前可用(可以访问):至于函数表达式,则必须等到解析器执行到它所在的代码行,才会真正被解释执行.如下例子: 复制代码 代码如下: alert(sum(10,10)); function sum(num1,num2) {     return num1+num2; } 以上代码完全可以正确执行,因为在代码开始执行之前,解析			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkk0Wp.html" rel="bookmark">浅析JavaScript声明变量&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript的变量声明语句无论出现在何处,都会先于其他代码首先被执行.使用var关键词声明变量的作用域是当前的执行上下文,有可能是外围函数,或者,当变量声明在函数体之外时,则为全局变量. 定义在函数体外的都属于全局变量,定义在函数体内的属于局部变量.这里的定义是指通过var声明的. JavaScript有隐含的全局概念,意味着你不声明的任何变量都会成为一个全局对象属性.例如: function test(){ myname = &quot;huming&quot;; alert(myname);			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2wgBrM.html" rel="bookmark">详细分析JavaScript函数定义&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数 几个要点:                 a).函数是javascript中的一等公民 (重要性)                 b).函数是一个对象                 c).函数定义了一个独立的变量作用域 定义方式 a)命名函数:           除非在另一个函数内部定义,否则,命名函数是全局的.  // 全局的命名函数 function add(x, y) { return x + y; } console.info(add(100, 200)); //300 b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNayVp.html" rel="bookmark">String&period;prototype实现的一些javascript函数介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: //String.prototype使用   //批量替换,比如:str.ReplaceAll([/a/g,/b/g,/c/g],[&quot;aaa&quot;,&quot;bbb&quot;,&quot;ccc&quot;])   String.prototype.ReplaceAll=function (A,B) {       var C=this;       for(var i=0;i&lt;A.length;i++) {           C=C.replace(A[			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeDDjp.html" rel="bookmark" class="title">编译问题</a>
					<div>
						编译|问题 这章节搜集了很多编译时会产生的错误情况. 1. 我用匿名CVS得到最新版的源代码包, 但没有配置脚本文件! 2. 我在配置 PHP 在 Apache下工作时出了问题. 它说不能找到 htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2g3rM.html" rel="bookmark" class="title">自己用的一个求字符串长度的东东，大家可以编译了以后直接引用。</a>
					<div>
						编译|字符串 using System;using System.Text; namespace PubClass.CSharp.String{    public class UTP8String  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNrooM.html" rel="bookmark" class="title">Visual C&num;建立简单消息传递系统&lpar;2&rpar;</a>
					<div>
						visual 面向对象设计vs.实用主义 这种方法的缺点之一是你必须使用一个大的switch语句结束,但是前辈一直教导我们大的switch语句是较差的设计的表现.通常的面向对象(Object Orie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yVwZz.html" rel="bookmark" class="title">MySQL数据库中建立外键的方法</a>
					<div>
						解析:MySQL中建立外键的方法 示例: 1.主表 DROP TABLE IF EXISTS `biao`; CREATE TABLE `biao` ( id` int(11) NOT NULL au ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2mgob.html" rel="bookmark" class="title">使用CSS3和Checkbox实现JQuery的一些效果</a>
					<div>
						 show()/hide()的实现 show()/hide()的实现主要控制元素的display属性. html: XML/HTML Code复制内容到剪贴板 &lt;div id=&quot;box ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrovdp.html" rel="bookmark" class="title">Fireworks教程&colon;简单制作超酷炫光效果</a>
					<div>
						  最终效果: 1.新建画布600×400,填充黑色. 2.设置画笔大小,柔化边缘,用画笔工具在画布中涂画,如图: 3.对刚才的图形做运动模糊,设置角度90,距离100,效果如下: 4.平面化刚才的图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2n5wM.html" rel="bookmark" class="title">c&num;对PL&sol;SQL查询结果列复制的结果生成指定格式</a>
					<div>
						例:在PL/SQL中sql查询的某列结果如下: 叶 魏 洪 孙 何 ...后面省略 想生成字典格式: {1,&quot;叶&quot;},{2,&quot;魏&quot;},{3,&quot;洪&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEGQmb.html" rel="bookmark" class="title">搜狗输入法云计算是什么</a>
					<div>
						  值得一提的是,有网友称,只要进入电脑任务管理器,然后结束搜狗输入法云计算SogouCloud.exe进程就可以关闭搜狗输入法云计算候选,其实这种方式并不可取,每次重启电脑后,该功能又自动开启了,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElvPZz.html" rel="bookmark" class="title">win7系统如何在word2007中快速输入&OpenCurlyDoubleQuote;&Sqrt;&rdquo;和&OpenCurlyDoubleQuote;&times;&rdquo; 符号？</a>
					<div>
						  win7系统如何在word2007中快速输入&quot;√&quot;和&quot;×&quot; 符号?           解决方法一: 1.我们常用的拼音输入法其实都可以快速的打出勾号和叉号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArPBJp.html" rel="bookmark" class="title">电脑老是自动重启怎么办？</a>
					<div>
						  右键我的电脑(计算机),选择属性,在弹出来的窗口里选择点击左边的&quot;高级系统设置&quot;,继续在弹出的&quot;系统属性&quot;窗口选择高级页,&quot;启动和故障修复&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNqa8M.html" rel="bookmark" class="title">怎么检查电脑是否中了病毒？</a>
					<div>
						  电脑病毒最简单的检查方法是用较新的防病毒软件对磁盘进行全面的检测.以下是学习啦小编整理的电脑病毒的检查方法,供大家参考,希望大家能够有所收获! 如何及早的发现新病毒: 首先应注意内存情况,绝大部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB8dOz.html" rel="bookmark" class="title">redis的分布式解决方式--codis （转）</a>
					<div>
						codis是豌豆荚开源的分布式server.眼下处于稳定阶段. 原文地址:https://github.com/wandoulabs/codis/blob/master/doc/tutorial_zh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEVr4p.html" rel="bookmark" class="title">请百万站长联合起来，声讨卡巴斯基&OpenCurlyDoubleQuote;误报门&rdquo;事件</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 我只是一名很普通的个人站长,我经营的女性电子商务网站已经有三年多了,流量和收益始终很好,在广东这片经济和互联网相对发达的地区也算小有名气,我的许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamx1mb.html" rel="bookmark" class="title">android  自带webview 加载html5游戏</a>
					<div>
						问题描述 android 自带webview 加载html5游戏 android 自带webview加载html5游戏不流畅,但在微信内置浏览或是UC等浏览器中玩的就很流畅,该怎么样优化webview ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWrPlp.html" rel="bookmark" class="title">专攻年轻女性市场的移动消息应用Cubie</a>
					<div>
						近日,据&lt;移动新发现&gt;报道,在竞争已经白热化的移动消息服务市场,已经拥有Skype.WhatsApp.Kik.Line.微信等众多应用,但来自台湾的Cubie证明了新来者似乎还能在该领域找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRPPAb.html" rel="bookmark" class="title">一小时了解数据挖掘①：解析常见的大数据应用案例</a>
					<div>
						本文为系列文,该篇为第一篇.下面是正文: 简而言之,数据挖掘(Data Mining)是有组织有目的地收集数据,通过分析数据使之成为信息,从而在大量数据中寻找潜在规律以形成规则或知识的技术.在本文中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEPQeM.html" rel="bookmark" class="title">想要成为真正优秀的程序员是不是真的很难？</a>
					<div>
						很多人认为要想成为一名优秀的程序员,那就需要一天24小时每天不断地编程--睁开眼睛要编程,闭上眼睛睡觉的时候还要梦到编程--我认为这是一种矫枉过正的方法.沿着这条路走,只会让你精疲力尽,犹如夸父逐日一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBQAZb.html" rel="bookmark" class="title">Web开发感悟：数据绑定是一种技术，更是一门艺术</a>
					<div>
						1.前言 作为一个多年从事b/s开发的程序猿,曾先后使用过asp.asp.net做为主要服务端语言.不管是相对低级的asp也好,还是高级的asp.net也罢,都100%会遇到&quot;数据绑定&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY6AZp.html" rel="bookmark" class="title">云存储进化</a>
					<div>
						大数据时代,PC互联网,移动互联网以及社交化平台的发展,让数据呈现几何化.爆炸式增长.而随着数据来源渠道的增多,网络的数据也不再是单一的数据类型,大量的非结构化数据涌现改变了数据的组成模式.如今大数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYn3Qp.html" rel="bookmark" class="title">C&num; sapnco3&period;0 连接sap出现问题</a>
					<div>
						问题描述 情况是这样,写了一个程序,在使用SAPNCO3.0连接sap时报错,以下是情况说明:1.这个程序在客户公司时连接SAP正常.2.同一个程序在公司内部连接SAP失败(连接参数已修改为公司内部的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkY3rM.html" rel="bookmark" class="title">myeclipse工具出问题了，在js代码中Alt&plus;&sol;提示东西的时候，报了下面的错误</a>
					<div>
						问题描述 myeclipse工具出问题了,在js代码中Alt+/提示东西的时候,报了下面的错误 rt,求解决 解决方案 看不到信息,能不能重新截图 解决方案二: 看不到图片,没法判断,为什么不用ecl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xmddb.html" rel="bookmark" class="title">kubernetes（3）：Centos7 安装 kubernetes admin 版本</a>
					<div>
						1,k8s admin dashboard 项目地址: https://github.com/kubernetes/dashboard 项目使用的是golang 作为后端,然后使用angular 作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22NjQb.html" rel="bookmark" class="title">winform打开某一窗口&comma;窗口名就会在菜单 显示是哪个属性设置</a>
					<div>
						问题描述 winform打开某一窗口,窗口名在菜单显示是哪个属性设置 解决方案 解决方案二:效果图					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJLR3p.html" rel="bookmark" class="title">北京雾霾重重，使空气治理概念股受到市场主流游资的大幅炒作</a>
					<div>
						之前寂寂无闻的创业板上市公司三维丝(300056),就因为具有PM2.5概念,进入2013年以来涨幅已经超过60%,在1月曾创造了连续4个涨停,2月25日,三维丝再度涨停,可见资本市场对空气治理概念股 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2g0Oz.html" rel="bookmark" class="title">英特尔构建模块&mdash;&mdash;云计算的基础</a>
					<div>
						本文讲的是英特尔构建模块--云计算的基础,[IT168 资讯]对于&quot;云计算&quot;架构,人们的讨论一直没有停止过. 根据 Gartner 的定义,&quot;云计算&quot;这个通用术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyjLWM.html" rel="bookmark" class="title">问一个关于frameset分割页面的问题。</a>
					<div>
						问题描述 很常用的一种页面分割方法.比如&lt;frameset rows=&quot;82,*,21&quot; cols=&quot;*&quot; frameborder=&quot;no&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YDjnp.html" rel="bookmark" class="title">《C语言及程序设计》实践项目&mdash;&mdash;文件操作</a>
					<div>
						返回:贺老师课程教学链接 [项目1 - 小玩文件] 1.下面程序的功能是统计文本文件abc.txt中的字符个数,请填空将程序补充完整. #include &lt;stdio.h&gt; #includ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWXZWp.html" rel="bookmark" class="title">大众点评的进阶之路</a>
					<div>
						此刻大众点评也不闲着,前不久腾讯还将入股大众点评,分别占有20%股份,作为创始人.CEO张涛为首的团队也继续拥有的控制权,保持公司未来独立运营和发展. 那边的http://www.aliyun.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1daoM.html" rel="bookmark" class="title">《Netty 权威指南》&mdash;&mdash; 伪异步IO编程</a>
					<div>
						声明:本文是&lt;Netty 权威指南&gt;的样章,感谢博文视点授权并发编程网站发布样章,禁止以任何形式转载此文. 为了解决同步阻塞IO面临的一个链路需要一个线程处理的问题,后来有人对它的线程模型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW5erp.html" rel="bookmark" class="title">php生成缩略图代码</a>
					<div>
						ob_start(); $start = microtime(true); $src = imagecreatefromjpeg($_GET[&quot;imageurl&quot;]); $widt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
